package com.gic.enterprise.interceptor;

import com.gic.commons.web.RequestThreadLocal;
import com.gic.commons.web.ResponseThreadLocal;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 
* @ClassName: RequestInteceptor
* @Description: TODO(这里用一句话描述这个类的作用)
* @author xugh
* @date 2018年5月31日 下午4:53:23
*
 */
public class RequestInteceptor extends HandlerInterceptorAdapter {
    
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object object) throws Exception {
        RequestThreadLocal.set(request);
        ResponseThreadLocal.set(response);
        return true;
    }

    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex)
            throws Exception {
        RequestThreadLocal.remove();
        ResponseThreadLocal.remove();
    }

}
